#!/usr/bin/env perl
use Switch;

my %users_connected = {};

while (<STDIN>) {

	chomp ($_);
	$_ =~ s/\e\[[\d,\s]*[a-zA-Z]//g; s/\e\][\d];//g; s/\r\n/\n/g; s/[+\000-\011]//g; s/[\013-\037]//g;
	if ($_ =~ m/^\[1;24r\[23;1HSv:/) {
#		print "\n-- Match ----------------------------------------------------------------\n";

		$sv_message = $_;
		next if ($sv_message != "");

		$sv_message =~ s/\[1;24r\[23;1H//g;
#		printf ("SvMessage: %s\n" , $sv_message);

#		print "---Stack -------------------------------------------------------\n\n";

		@stack = split (" " , $sv_message);
		for ($i = 0; $i<@stack;$i++) {

#			printf ("Stack %d: %s\n" , $i, $stack [$i]);
		}

#		print "--- End Stack ---------------------------------------------------\n\n";

		if ($stack[1] eq "[ALL]") {

			$nickname = $stack[2];
			$nickname =~ s/\://g;

			$len = 0;
			$len = @stack;
			@message = splice (@stack , 3 , ($len-3));

			$len = @message;
			if ($len > 4) {

				if ($message[0] eq "begin_vote") {

					my $type = "";
					my $voter = "";
					my $votee = "";
					my @reason = "";
					switch ($message[1]) {

						case /kick/ { 
							$type = "KICK"; 

							$voter = $nickname;
							$votee = $message[2];
							$len = @message;
							@reason = splice (@message , 3 , ($len-3));

							$string = sprintf ("!VOTE! %s started a %s vote on %s: Reason: '%s'\n", $voter, $type, $votee, join (" " , @reason));
							`./sendsvr.sh ServerChat "$string"`;
						}
						case /foo/  { 
							$type = "FOO";

							$voter = $nickname;
							$votee = $message[2];
							$len = @message;
							@reason = splice (@message , 3 , ($len-3));

							$string = sprintf ("!VOTE! %s started a %s vote on %s: Reason: '%s'\n", $voter, $type, $votee, join (" " , @reason));
							`./sendsvr.sh ServerChat "$string"`;
						}
					}

				}

			}

#			print "--- Begin ALL ---------------------------------------------------\n\n";
#			printf ("ALL: %s: `%s`\n", $nickname, join (" " , @message));


#			print "--- End ALL ---------------------------------------------------\n\n";
		}

#		print "\n-- End Match ------------------------------------------------------------\n";
	}

	#printf ("Debug: %s\n" , $_);
}
