#!/bin/bash
dir="$0"
name=`basename $dir`
if [ "$name" = "$dir" ]; then
       OIFS=$IFS
       IFS=:
       for path in $PATH; do
               if [ -x "$path/$name" ]; then break; fi
       done
       IFS=$OIFS
       dir=$path/$name
fi
if [[ ! -e /tmp/savfifo ]]; then
      mkfifo /tmp/savfifo;
fi
while [ -L "$dir" ]; do
       dir=`readlink "$dir"`
done
cd "`dirname "$dir"`"
while /bin/true; do
#    tail -f /tmp/savfifo | ./savage2.bin "Set host_dedicatedServer true" "$*" 
#if u need the server in daemon mod uncomment next line and comment previous
    tail -f /tmp/savfifo | nohup ./savage2.bin "Set host_dedicatedServer true" "$*" > savage2daemon.out 2> savage2daemon.err

    sleep 3
done
