<?
############### <<< CONFIG >>> ################################################

if (! defined ('SESSION_NAME')) 
	define ('SESSION_NAME' , 'S2Interface');

if (! defined ('INSTALL_DIR')) 
	define ('INSTALL_DIR' , '/root/Savage2/');

if (! defined ('DEDI_SEND')) 
	define ('DEDI_SEND' , 'sendsvr.sh');

if (! defined ('DEDI_READ')) 
	define ('DEDI_READ' , 'readsvr.sh');

if (! defined ('ERROR_LOGIN_EMPTY')) 
	define ('ERROR_LOGIN_EMPTY' , 'Login or password is empty');

if (! defined ('ERROR_LOGIN_FALSE')) 
	define ('ERROR_LOGIN_FALSE' , 'Login or password is invalid');

if (! defined ('ERROR_ACTION_NOTFOUND')) 
	define ('ERROR_ACTION_NOTFOUND' , 'Action "%s" is not valid.');

if (! defined ('ERROR_FUNC_NOTFOUND')) 
	define ('ERROR_FUNC_NOTFOUND' , 'Action "%s" is not valid.');

############### <<< END CONFIG >>> ############################################

session_name (SESSION_NAME);
session_start ();

function S2i_getMaps () {

	$listMaps = sprintf ("ls -1 %s/game/maps/", INSTALL_DIR);
	$list = preg_split ("/\n/" , `$listMaps`);

	foreach ($list as $i => $j) {
		$list [$i] = str_replace (".s2z" , "", $j);
	}
	return $list;
}
$json = Array ();

class Login {

	static $logins = Array (
		'xorc' => Array (
			'active'   => false,
			'password' => '3bcb50456ae754f3f590cda3948404f527ea1071' // SHA1
		),
		'samer' => Array (
			'active'   => false,
			'password' => 'db6870ed31c561c3e4b81215942854455979dcc1' // SHA1
		),
		'osleg' => Array (
			'active'   => false,
			'password' => '1cfd4b0fe03a396c6e5c6900388e6d462ecb5d27' // SHA1
		)
	);

	public function __construct () {

		if (! array_key_exists ('login' , $_SESSION)) return;

		$login = $_SESSION ['login'];
		Login::$logins [$login]['active'] = true;
	}

	public static function isLoggedIn () {
		if (! array_key_exists ('login' , $_SESSION)) 

			return FALSE;

		else 
			return TRUE;
	}

	public static function login ($login, $password) {
		if (array_key_exists ('login' , $_SESSION)) return TRUE;
		if (! array_key_exists ($login , Login::$logins)) return FALSE;

		if (Login::$logins [$login]['password'] == $password) {

			$_SESSION ['login'] = $login;
			return TRUE;
		}
	}
}
new Login ();


$action = NULL;
if (array_key_exists ('action', $_REQUEST)) {

	$action = $_REQUEST ['action'];
	$success = Array ();
	$errors = Array ();

	if (! Login::isLoggedIn () || $action == 'login') {

		$action = 'login';

	} else {
		$doAction = NULL;
		if (array_key_exists ('doAction' , $_REQUEST)) $doAction = $_REQUEST ['doAction'];
		else $action = "";
	}

	switch ($action) {

		default:
			$errors ['do'] = sprinntf (ERROR_ACTION_NOTFOUND, $action);
			break;

		case 'do':
			$func = NULL;
			if (function_exists ($func = sprintf ('do_%s', $doAction))) {

				call_user_func ($func);
			}
			else $errors ['do'] = sprintf (ERROR_FUNC_NOTFOUND, $func);
			break;

		case 'login':
			if (
				(! array_key_exists ('login', $_REQUEST) || ! array_key_exists ('password', $_REQUEST)) ||
				($_REQUEST ['login'] == "" || $_REQUEST ['password'] == "")

			) { 
				$errors [$action] = ERROR_LOGIN_EMPTY;
				break;
			}

			if (Login::login ($_REQUEST ['login'] , $_REQUEST ['password'])) {

				$success [$action] = TRUE;
			}
			else {

				$errors [$action] = ERROR_LOGIN_FALSE;
			}
			break;
	}

}
if (array_key_exists ('remote' , $_REQUEST)) {

	$json ['success'] = $success;
	$json ['errors'] = $errors;

	exit (json_encode ($json));
}
unset ($json);

function S2i_send ($str) {

	echo( system(sprintf ("%s%s %s", INSTALL_DIR, DEDI_SEND, $str)));
}
?>
